Wx WIdget issue
  • New install of Kubuntu 16.10... installed guaya from GIT... I get this:

    18:36:02: Warning: Mismatch between the program and library build versions detected.
    The library used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8),
    and your program used 3.0 (wchar_t,compiler with C++ ABI 1010,wx containers,compatible with 2.8).
    18:36:02: Error showing window
    18:36:02: Another program instance is already running, aborting.

    any thoughts?

    T
  • SO I tried to re-compile Guaya and got this

    CMakeFiles/guayadeque.dir/ui/vumeters/Vumeters.cpp.o:/home/fausto/guayadeque/src/ui/vumeters/Vumeters.cpp:574: first defined here
    CMakeFiles/guayadeque.dir/ui/vumeters/Vumeters.cpp.o: In function `Guayadeque::guPlayerVumeters::~guPlayerVumeters()':
    /home/fausto/guayadeque/src/ui/vumeters/Vumeters.cpp:574: multiple definition of `Guayadeque::guPlayerVumeters::~guPlayerVumeters()'
    CMakeFiles/guayadeque.dir/ui/vumeters/Vumeters.cpp.o:/home/fausto/guayadeque/src/ui/vumeters/Vumeters.cpp:574: first defined here
    CMakeFiles/guayadeque.dir/ui/vumeters/Vumeters.cpp.o: In function `Guayadeque::guPlayerVumeters::SetLevels(Guayadeque::guLevelInfo const&)':
    /home/fausto/guayadeque/src/ui/vumeters/Vumeters.cpp:623: multiple definition of `Guayadeque::guPlayerVumeters::SetLevels(Guayadeque::guLevelInfo const&)'
    CMakeFiles/guayadeque.dir/ui/vumeters/Vumeters.cpp.o:/home/fausto/guayadeque/src/ui/vumeters/Vumeters.cpp:623: first defined here
    collect2: error: ld returned 1 exit status
    src/CMakeFiles/guayadeque.dir/build.make:3596: recipe for target 'src/guayadeque' failed
    make[2]: *** [src/guayadeque] Error 1
    CMakeFiles/Makefile2:181: recipe for target 'src/CMakeFiles/guayadeque.dir/all' failed
    make[1]: *** [src/CMakeFiles/guayadeque.dir/all] Error 2
    Makefile:116: recipe for target 'all' failed
    make: *** [all] Error 2
  • Ok so now after a reboot, I can get Guaya up and running, but I can't see any of my usb devices that I use for my portable player. Having EXACTLY the same issue with clementine


  • I can get it to work if I use the "copy to" command ... but I can't see any usb devices as "Source"
  • I guess you are missing gnome libraries like gio

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In with OpenID

In this Discussion